<?php
/*
Plugin Name: Konduto Plugin
Version: 1.2
Author: iPag Pagamentos Digitais
Author URI: http://www.ipag.com.br
License: GPLv2
 */

/** Add link page in sidebar */
add_action('admin_menu', 'konduto_menu');

function konduto_menu()
{
    add_menu_page('Antifraude', 'Antifraude', 'administrator', __FILE__, 'konduto_connect_settings_page');
    add_action('admin_init', 'register_konduto_connect_settings');
}

/** Registers the configuration group */
function register_konduto_connect_settings()
{
    register_setting('konduto-connect-group', 'konduto_public_key', 'konduto_public_key_validate');
}
/** Configuration page */
function konduto_connect_settings_page()
{

    /** Creates form */
    ?>

<div class="wrap">

<h1>Konduto Connect</h1>
<?php settings_errors();?>
<form method="post" action="options.php">
    <?php settings_fields('konduto-connect-group');?>
    <?php do_settings_sections('konduto-connect-group');?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Konduto Public Key</th>
        <td><input type="text" size="15" name="konduto_public_key" value="<?php echo esc_attr(get_option('konduto_public_key')); ?>" /></td>
        </tr>

    </table>

    <?php submit_button();?>

</form>
</div>
<?php }

function plugin_add_settings_link($links)
{
    $settings_link = '<a href="admin.php?page=konduto-connect%2Fplugin-konduto-connect.php">'.__('Settings').'</a>';
    array_push($links, $settings_link);
    return $links;
}
$plugin = plugin_basename(__FILE__);
add_filter("plugin_action_links_$plugin", 'plugin_add_settings_link');

/** Konduto Script */
function konductohero()
{
    include plugin_dir_path(__FILE__).'/scripts.php';
}
add_action('wp_footer', 'konductohero'); // insert script in wordpress footer

//Navigate Tags

function konduto_meta_tags()
{
    if (class_exists('WooCommerce')) {
        //Página de Esqueci minha senha
        if (is_wc_endpoint_url('lost-password')) {
            echo '<meta name="kdt:page" content="password-reset">';
        }
        //Processo de checkout
        if (is_checkout()) {
            echo '<meta name="kdt:page" content="checkout">';
        }
        //Detalhe de produto
        if (is_product()) {
            $nome = get_the_title();
            echo '<meta name="kdt:page" content="product">';
            echo '<meta name="kdt:product" content="name='.$nome.'">';
        }
    }

}
add_action('wp_head', 'konduto_meta_tags');

?>
